<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ResizeWorkflowUI.ascx.cs" Inherits="EPiServer.Labs.Workflows.ImageResize.ResizeWorkflowUI" %>
<h2>Image Resize Workflow</h2>


<div style="width: 100%">
    <table class="epistandardtable">
        <tr>
            <td>
                Virtual Path
            </td>
            <td>
                <asp:TextBox ID="VirtualPath" runat="server" CssClass="episize240" Width="400px"  />
            </td>
        </tr>
        <tr>
            <td>
                Include Subfolders
            </td>
            <td>
                <asp:CheckBox ID="IncludeSubfolders" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                File Name Mask (e.g. "*.jpg")
            </td>
            <td>
                <asp:TextBox ID="FileNameMask" runat="server" CssClass="episize240" Width="400px" />
            </td>
        </tr>
        <tr>
            <td>
                Max. Width (in pixels)
            </td>
            <td>
                <asp:TextBox ID="MaxWidth" runat="server" CssClass="episize240" Width="400px"  />
            </td>
        </tr>
        <tr>
            <td>
                Max. Height (in pixels)
            </td>
            <td>
                <asp:TextBox ID="MaxHeight" runat="server" CssClass="episize240" Width="400px" />
            </td>
        </tr>

        <tr>
            <td>
                New Filename
                <br />
                <span style="font-size: xx-small">Place Holders:</span>
                <ul style="font-size: xx-small">
                    <li>{0} Source File Name</li>
                    <li>{1} Source File Extension</li>
                </ul>
            </td>
            <td>
                <asp:TextBox ID="NewFileName" runat="server" CssClass="episize240" Width="400px" MaxLength="256" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="NewFileName" ErrorMessage="Required" />
            </td>
        </tr>
    </table>
</div>